#!/bin/bash

check() {
    [[ $1 = -d ]] && echo "olpc-python olpc-common olpc-boot"
    exit 255
}

install() {
    dracut_install iwconfig
    dracut_install iwlist
    dracut_install ip

    python_libdir=$(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

    for i in activate.py greplease.py olpc_act_gui_server.py; do
        inst "$moddir"/"$i" /usr/libexec/initramfs-olpc/"$i"
    done

    inst "$moddir"/olpc_act_gui_client.py "$python_libdir"/olpc_act_gui_client.py

    for i in pyvt.so pyfb.so ipv6util.so; do
        inst /usr/lib/dracut-modules-olpc/"$i" "$python_libdir"/"$i"
    done

    for i in "$moddir"/act-gui-images/*; do
        inst "$i" /usr/share/olpc-act-gui/images/$(basename "$i")
    done

    dracut_install "$python_libdir"/bitfrost/__init__.py
    dracut_install "$python_libdir"/bitfrost/leases/__init__.py
    dracut_install "$python_libdir"/bitfrost/leases/core.py
    dracut_install "$python_libdir"/bitfrost/leases/keys.py
    dracut_install "$python_libdir"/bitfrost/leases/crypto.py
    dracut_install "$python_libdir"/bitfrost/leases/errors.py
    dracut_install "$python_libdir"/bitfrost/util/__init__.py
    dracut_install "$python_libdir"/bitfrost/util/json.py
    dracut_install "$python_libdir"/bitfrost/util/pyverify.so

    instmods vfat usb_storage usb8xxx libertas libertas_sdio ohci_hcd ehci_hcd sdhci sd
    dracut_install -o /lib/firmware/usb8388.bin
    dracut_install -o /lib/firmware/sd8686.bin
    dracut_install -o /lib/firmware/sd8686_helper.bin

    inst "$moddir"/filesystems /etc/filesystems
}
